Distribution:   CCux
Packager:       Stefan Gottwald <gotti@ccux-linux.de>

Summary:	This plugin allows one to use applets designed for the Gnome Panel
Name:		xfce4-xfapplet-plugin
Version:	0.1.0
Release:	2
License:	GNU/GPL
URL:		http://xfce-goodies.berlios.de
Source0:	%{name}-%{version}.tar.bz2
Group:		Graphical Desktop/Xfce/Extras
BuildRoot:	%{_tmppath}/%{name}-buildroot

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnome-panel-libs
BuildRequires: gnome-vfs-devel
BuildRequires: gtk2+-devel
BuildRequires: libart_lgpl-devel
BuildRequires: libbonobo-devel
BuildRequires: libbonoboui-devel
BuildRequires: libgnomecanvas-devel
BuildRequires: libgnome-devel
BuildRequires: libgnomeui-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libxfce4util-devel
BuildRequires: libxfcegui4-devel
BuildRequires: ORBit2-devel
BuildRequires: pango-devel
BuildRequires: popt-devel
BuildRequires: xfce4-panel-devel
BuildRequires: zlib-devel

%description
The XfApplet Plugin is a plugin for the Xfce 4 Panel which allows one to use 
applets designed for the Gnome Panel inside the Xfce Panel. You can think of 
XfApplet as a tiny Gnome Panel that lives inside the Xfce Panel and allows 
you to show the same applets that the Gnome Panel is capable of showing. 

The current stable version of the XfApplet Plugin has the following features: 

     - Most Gnome applets are supported. Basically the only exceptions are the 
       Gnome Systray and Window List applets, which should be considered not 
       very well supported. This should be fixed in the next stable version;
     - The XfApplet properties dialog allows you to choose between all Gnome 
       applets currently installed, just as the Gnome Panel does.
     - The XfApplet context menu shows both the Xfce Panel related items (such 
       as "Move", "Remove", "Customize Panel", etc.) and the Gnome applet ones, 
       which of course will depend on the specific applet being displayed.
     - Applets are displayed correctly in terms of layout, popup menus and other 
       issues no matter the Xfce Panel specific configuration such as position 
       (top, bottom, left or right side and floating) and size.

%prep
%setup -q

%build
%configure --sysconfdir=%_sysconfdir/xfce
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%_mandir 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_libexecdir/xfce4/panel-plugins/xfce4-xfapplet-plugin
%_datadir/pixmaps/xfapplet*.*g
%_datadir/xfce4-xfapplet-plugin/ui/XFCE_Panel_Popup.xml
%_datadir/locale/*/LC_MESSAGES/xfce4-xfapplet-plugin.mo
%_datadir/xfce4/panel-plugins/xfapplet.desktop

%changelog
* Tue Mar 17 2009 Christian Wasem <wasem@ccux-linux.de> 0.1.0-2
- Rebuild Against XFCE 4.6.0
* Mon Dec 31 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.1.0-1
- Initial Release
